<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'addShipment' => '\\StructType\\AddShipment',
            'addShipmentResponse' => '\\StructType\\AddShipmentResponse',
            'przesylkaType' => '\\StructType\\PrzesylkaType',
            'pocztexKrajowyType' => '\\StructType\\PocztexKrajowyType',
            'changePassword' => '\\StructType\\ChangePassword',
            'changePasswordResponse' => '\\StructType\\ChangePasswordResponse',
            'paczkaPocztowaType' => '\\StructType\\PaczkaPocztowaType',
            'paczkaPocztowaPLUSType' => '\\StructType\\PaczkaPocztowaPLUSType',
            'przesylkaPobraniowaType' => '\\StructType\\PrzesylkaPobraniowaType',
            'przesylkaNaWarunkachSzczegolnychType' => '\\StructType\\PrzesylkaNaWarunkachSzczegolnychType',
            'przesylkaPoleconaKrajowaType' => '\\StructType\\PrzesylkaPoleconaKrajowaType',
            'przesylkaHandlowaType' => '\\StructType\\PrzesylkaHandlowaType',
            'przesylkaListowaZadeklarowanaWartoscType' => '\\StructType\\PrzesylkaListowaZadeklarowanaWartoscType',
            'przesylkaFullType' => '\\StructType\\PrzesylkaFullType',
            'errorType' => '\\StructType\\ErrorType',
            'adresType' => '\\StructType\\AdresType',
            'sendEnvelope' => '\\StructType\\SendEnvelope',
            'sendEnvelopeResponseType' => '\\StructType\\SendEnvelopeResponseType',
            'getUrzedyNadania' => '\\StructType\\GetUrzedyNadania',
            'getUrzedyNadaniaResponse' => '\\StructType\\GetUrzedyNadaniaResponse',
            'clearEnvelope' => '\\StructType\\ClearEnvelope',
            'clearEnvelopeResponse' => '\\StructType\\ClearEnvelopeResponse',
            'urzadNadaniaFullType' => '\\StructType\\UrzadNadaniaFullType',
            'ePrzesylkaType' => '\\StructType\\EPrzesylkaType',
            'urzadWydaniaEPrzesylkiType' => '\\StructType\\UrzadWydaniaEPrzesylkiType',
            'pobranieType' => '\\StructType\\PobranieType',
            'przesylkaPoleconaZagranicznaType' => '\\StructType\\PrzesylkaPoleconaZagranicznaType',
            'przesylkaZadeklarowanaWartoscZagranicznaType' => '\\StructType\\PrzesylkaZadeklarowanaWartoscZagranicznaType',
            'getUrzedyWydajaceEPrzesylki' => '\\StructType\\GetUrzedyWydajaceEPrzesylki',
            'getUrzedyWydajaceEPrzesylkiResponse' => '\\StructType\\GetUrzedyWydajaceEPrzesylkiResponse',
            'uploadIWDContent' => '\\StructType\\UploadIWDContent',
            'getEnvelopeStatus' => '\\StructType\\GetEnvelopeStatus',
            'getEnvelopeStatusResponse' => '\\StructType\\GetEnvelopeStatusResponse',
            'downloadIWDContent' => '\\StructType\\DownloadIWDContent',
            'downloadIWDContentResponse' => '\\StructType\\DownloadIWDContentResponse',
            'przesylkaShortType' => '\\StructType\\PrzesylkaShortType',
            'addShipmentResponseItemType' => '\\StructType\\AddShipmentResponseItemType',
            'getKarty' => '\\StructType\\GetKarty',
            'getKartyResponse' => '\\StructType\\GetKartyResponse',
            'getPasswordExpiredDate' => '\\StructType\\GetPasswordExpiredDate',
            'getPasswordExpiredDateResponse' => '\\StructType\\GetPasswordExpiredDateResponse',
            'setAktywnaKarta' => '\\StructType\\SetAktywnaKarta',
            'setAktywnaKartaResponse' => '\\StructType\\SetAktywnaKartaResponse',
            'getEnvelopeContentFull' => '\\StructType\\GetEnvelopeContentFull',
            'getEnvelopeContentFullResponse' => '\\StructType\\GetEnvelopeContentFullResponse',
            'getEnvelopeContentShort' => '\\StructType\\GetEnvelopeContentShort',
            'getEnvelopeContentShortResponse' => '\\StructType\\GetEnvelopeContentShortResponse',
            'hello' => '\\StructType\\Hello',
            'helloResponse' => '\\StructType\\HelloResponse',
            'kartaType' => '\\StructType\\KartaType',
            'getAddressLabel' => '\\StructType\\GetAddressLabel',
            'getAddressLabelResponse' => '\\StructType\\GetAddressLabelResponse',
            'addressLabelContent' => '\\StructType\\AddressLabelContent',
            'getOutboxBook' => '\\StructType\\GetOutboxBook',
            'getOutboxBookResponse' => '\\StructType\\GetOutboxBookResponse',
            'getFirmowaPocztaBook' => '\\StructType\\GetFirmowaPocztaBook',
            'getFirmowaPocztaBookResponse' => '\\StructType\\GetFirmowaPocztaBookResponse',
            'getEnvelopeList' => '\\StructType\\GetEnvelopeList',
            'getEnvelopeListResponse' => '\\StructType\\GetEnvelopeListResponse',
            'envelopeInfoType' => '\\StructType\\EnvelopeInfoType',
            'przesylkaZagranicznaType' => '\\StructType\\PrzesylkaZagranicznaType',
            'przesylkaRejestrowanaType' => '\\StructType\\PrzesylkaRejestrowanaType',
            'przesylkaNieRejestrowanaType' => '\\StructType\\PrzesylkaNieRejestrowanaType',
            'przesylkaBiznesowaType' => '\\StructType\\PrzesylkaBiznesowaType',
            'subPrzesylkaBiznesowaType' => '\\StructType\\SubPrzesylkaBiznesowaType',
            'subPrzesylkaBiznesowaPlusType' => '\\StructType\\SubPrzesylkaBiznesowaPlusType',
            'getAddresLabelByGuid' => '\\StructType\\GetAddresLabelByGuid',
            'getAddresLabelByGuidResponse' => '\\StructType\\GetAddresLabelByGuidResponse',
            'przesylkaBiznesowaPlusType' => '\\StructType\\PrzesylkaBiznesowaPlusType',
            'pakietType' => '\\StructType\\PakietType',
            'opakowanieType' => '\\StructType\\OpakowanieType',
            'getPlacowkiPocztowe' => '\\StructType\\GetPlacowkiPocztowe',
            'getPlacowkiPocztoweResponse' => '\\StructType\\GetPlacowkiPocztoweResponse',
            'getGuid' => '\\StructType\\GetGuid',
            'getGuidResponse' => '\\StructType\\GetGuidResponse',
            'kierunekType' => '\\StructType\\KierunekType',
            'getKierunki' => '\\StructType\\GetKierunki',
            'getKierunkiResponse' => '\\StructType\\GetKierunkiResponse',
            'getKierunkiInfo' => '\\StructType\\GetKierunkiInfo',
            'getKierunkiInfoResponse' => '\\StructType\\GetKierunkiInfoResponse',
            'uslugiType' => '\\StructType\\UslugiType',
            'deliveryPathType' => '\\StructType\\DeliveryPathType',
            'placowkaPocztowaType' => '\\StructType\\PlacowkaPocztowaType',
            'punktWydaniaPrzesylkiBiznesowejPlus' => '\\StructType\\PunktWydaniaPrzesylkiBiznesowejPlus',
            'getEnvelopeBufor' => '\\StructType\\GetEnvelopeBufor',
            'getEnvelopeBuforResponse' => '\\StructType\\GetEnvelopeBuforResponse',
            'clearEnvelopeByGuids' => '\\StructType\\ClearEnvelopeByGuids',
            'clearEnvelopeByGuidsResponse' => '\\StructType\\ClearEnvelopeByGuidsResponse',
            'zwrotDokumentowType' => '\\StructType\\ZwrotDokumentowType',
            'odbiorPrzesylkiOdNadawcyType' => '\\StructType\\OdbiorPrzesylkiOdNadawcyType',
            'potwierdzenieDoreczeniaType' => '\\StructType\\PotwierdzenieDoreczeniaType',
            'rodzajListType' => '\\StructType\\RodzajListType',
            'potwierdzenieOdbioruType' => '\\StructType\\PotwierdzenieOdbioruType',
            'doreczenieType' => '\\StructType\\DoreczenieType',
            'doreczenieUslugaPocztowaType' => '\\StructType\\DoreczenieUslugaPocztowaType',
            'doreczenieUslugaKurierskaType' => '\\StructType\\DoreczenieUslugaKurierskaType',
            'paczkaZagranicznaType' => '\\StructType\\PaczkaZagranicznaType',
            'paczkaZagranicznaPremiumType' => '\\StructType\\PaczkaZagranicznaPremiumType',
            'setEnvelopeBuforDataNadania' => '\\StructType\\SetEnvelopeBuforDataNadania',
            'setEnvelopeBuforDataNadaniaResponse' => '\\StructType\\SetEnvelopeBuforDataNadaniaResponse',
            'lokalizacjaGeograficznaType' => '\\StructType\\LokalizacjaGeograficznaType',
            'wspolrzednaGeograficznaType' => '\\StructType\\WspolrzednaGeograficznaType',
            'zwrotType' => '\\StructType\\ZwrotType',
            'listZwyklyType' => '\\StructType\\ListZwyklyType',
            'listZwyklyFirmowyType' => '\\StructType\\ListZwyklyFirmowyType',
            'reklamowaType' => '\\StructType\\ReklamowaType',
            'getEPOStatus' => '\\StructType\\GetEPOStatus',
            'getEPOStatusResponse' => '\\StructType\\GetEPOStatusResponse',
            'EPOType' => '\\StructType\\EPOType',
            'EPOSimpleType' => '\\StructType\\EPOSimpleType',
            'EPOExtendedType' => '\\StructType\\EPOExtendedType',
            'przesylkaEPOType' => '\\StructType\\PrzesylkaEPOType',
            'przesylkaFirmowaPoleconaType' => '\\StructType\\PrzesylkaFirmowaPoleconaType',
            'EPOInfoType' => '\\StructType\\EPOInfoType',
            'awizoPrzesylkiType' => '\\StructType\\AwizoPrzesylkiType',
            'doreczeniePrzesylkiType' => '\\StructType\\DoreczeniePrzesylkiType',
            'zwrotPrzesylkiType' => '\\StructType\\ZwrotPrzesylkiType',
            'getAddresLabelCompact' => '\\StructType\\GetAddresLabelCompact',
            'getAddresLabelCompactResponse' => '\\StructType\\GetAddresLabelCompactResponse',
            'getAddresLabelByGuidCompact' => '\\StructType\\GetAddresLabelByGuidCompact',
            'getAddresLabelByGuidCompactResponse' => '\\StructType\\GetAddresLabelByGuidCompactResponse',
            'ubezpieczenieType' => '\\StructType\\UbezpieczenieType',
            'EMSType' => '\\StructType\\EMSType',
            'getEnvelopeBuforList' => '\\StructType\\GetEnvelopeBuforList',
            'getEnvelopeBuforListResponse' => '\\StructType\\GetEnvelopeBuforListResponse',
            'buforType' => '\\StructType\\BuforType',
            'createEnvelopeBufor' => '\\StructType\\CreateEnvelopeBufor',
            'createEnvelopeBuforResponse' => '\\StructType\\CreateEnvelopeBuforResponse',
            'moveShipments' => '\\StructType\\MoveShipments',
            'moveShipmentsResponse' => '\\StructType\\MoveShipmentsResponse',
            'updateEnvelopeBufor' => '\\StructType\\UpdateEnvelopeBufor',
            'updateEnvelopeBuforResponse' => '\\StructType\\UpdateEnvelopeBuforResponse',
            'getUbezpieczeniaInfo' => '\\StructType\\GetUbezpieczeniaInfo',
            'getUbezpieczeniaInfoResponse' => '\\StructType\\GetUbezpieczeniaInfoResponse',
            'ubezpieczeniaInfoType' => '\\StructType\\UbezpieczeniaInfoType',
            'isMiejscowa' => '\\StructType\\IsMiejscowa',
            'isMiejscowaResponse' => '\\StructType\\IsMiejscowaResponse',
            'trasaRequestType' => '\\StructType\\TrasaRequestType',
            'trasaResponseType' => '\\StructType\\TrasaResponseType',
            'deklaracjaCelnaType' => '\\StructType\\DeklaracjaCelnaType',
            'szczegolyDeklaracjiCelnejType' => '\\StructType\\SzczegolyDeklaracjiCelnejType',
            'przesylkaPaletowaType' => '\\StructType\\PrzesylkaPaletowaType',
            'paletaType' => '\\StructType\\PaletaType',
            'platnikType' => '\\StructType\\PlatnikType',
            'subPrzesylkaPaletowaType' => '\\StructType\\SubPrzesylkaPaletowaType',
            'getBlankietPobraniaByGuids' => '\\StructType\\GetBlankietPobraniaByGuids',
            'getBlankietPobraniaByGuidsResponse' => '\\StructType\\GetBlankietPobraniaByGuidsResponse',
            'updateAccount' => '\\StructType\\UpdateAccount',
            'updateAccountResponse' => '\\StructType\\UpdateAccountResponse',
            'accountType' => '\\StructType\\AccountType',
            'getAccountList' => '\\StructType\\GetAccountList',
            'getAccountListResponse' => '\\StructType\\GetAccountListResponse',
            'profilType' => '\\StructType\\ProfilType',
            'getProfilList' => '\\StructType\\GetProfilList',
            'getProfilListResponse' => '\\StructType\\GetProfilListResponse',
            'updateProfil' => '\\StructType\\UpdateProfil',
            'updateProfilResponse' => '\\StructType\\UpdateProfilResponse',
            'uslugaPaczkowaType' => '\\StructType\\UslugaPaczkowaType',
            'subUslugaPaczkowaType' => '\\StructType\\SubUslugaPaczkowaType',
            'uslugaKurierskaType' => '\\StructType\\UslugaKurierskaType',
            'subUslugaKurierskaType' => '\\StructType\\SubUslugaKurierskaType',
            'createAccount' => '\\StructType\\CreateAccount',
            'createAccountResponse' => '\\StructType\\CreateAccountResponse',
            'createProfil' => '\\StructType\\CreateProfil',
            'createProfilResponse' => '\\StructType\\CreateProfilResponse',
            'potwierdzenieOdbioruPaczkowaType' => '\\StructType\\PotwierdzenieOdbioruPaczkowaType',
            'zwrotDokumentowKurierskaType' => '\\StructType\\ZwrotDokumentowKurierskaType',
            'potwierdzenieOdbioruKurierskaType' => '\\StructType\\PotwierdzenieOdbioruKurierskaType',
            'addReklamacje' => '\\StructType\\AddReklamacje',
            'addReklamacjeResponse' => '\\StructType\\AddReklamacjeResponse',
            'getReklamacje' => '\\StructType\\GetReklamacje',
            'getReklamacjeResponse' => '\\StructType\\GetReklamacjeResponse',
            'getZapowiedziFaktur' => '\\StructType\\GetZapowiedziFaktur',
            'getZapowiedziFakturResponse' => '\\StructType\\GetZapowiedziFakturResponse',
            'addOdwolanieDoReklamacji' => '\\StructType\\AddOdwolanieDoReklamacji',
            'addOdwolanieDoReklamacjiResponse' => '\\StructType\\AddOdwolanieDoReklamacjiResponse',
            'addRozbieznoscDoZapowiedziFaktur' => '\\StructType\\AddRozbieznoscDoZapowiedziFaktur',
            'addRozbieznoscDoZapowiedziFakturResponse' => '\\StructType\\AddRozbieznoscDoZapowiedziFakturResponse',
            'reklamowanaPrzesylkaType' => '\\StructType\\ReklamowanaPrzesylkaType',
            'powodReklamacjiType' => '\\StructType\\PowodReklamacjiType',
            'reklamacjaRozpatrzonaType' => '\\StructType\\ReklamacjaRozpatrzonaType',
            'getListaPowodowReklamacji' => '\\StructType\\GetListaPowodowReklamacji',
            'getListaPowodowReklamacjiResponse' => '\\StructType\\GetListaPowodowReklamacjiResponse',
            'powodSzczegolowyType' => '\\StructType\\PowodSzczegolowyType',
            'kategoriePowodowReklamacjiType' => '\\StructType\\KategoriePowodowReklamacjiType',
            'listBiznesowyType' => '\\StructType\\ListBiznesowyType',
            'zamowKuriera' => '\\StructType\\ZamowKuriera',
            'zamowKurieraResponse' => '\\StructType\\ZamowKurieraResponse',
            'getEZDOList' => '\\StructType\\GetEZDOList',
            'getEZDOListResponse' => '\\StructType\\GetEZDOListResponse',
            'getEZDO' => '\\StructType\\GetEZDO',
            'getEZDOResponse' => '\\StructType\\GetEZDOResponse',
            'EZDOPakietType' => '\\StructType\\EZDOPakietType',
            'EZDOPrzesylkaType' => '\\StructType\\EZDOPrzesylkaType',
            'wplataCKPType' => '\\StructType\\WplataCKPType',
            'getWplatyCKP' => '\\StructType\\GetWplatyCKP',
            'getWplatyCKPResponse' => '\\StructType\\GetWplatyCKPResponse',
            'globalExpresType' => '\\StructType\\GlobalExpresType',
            'cancelReklamacja' => '\\StructType\\CancelReklamacja',
            'cancelReklamacjaResponse' => '\\StructType\\CancelReklamacjaResponse',
            'zalacznikDoReklamacjiType' => '\\StructType\\ZalacznikDoReklamacjiType',
            'addZalacznikDoReklamacji' => '\\StructType\\AddZalacznikDoReklamacji',
            'addZalacznikDoReklamacjiResponse' => '\\StructType\\AddZalacznikDoReklamacjiResponse',
            'updateShopEZwroty' => '\\StructType\\UpdateShopEZwroty',
            'updateShopEZwrotyResponse' => '\\StructType\\UpdateShopEZwrotyResponse',
            'shopEZwrotyType' => '\\StructType\\ShopEZwrotyType',
            'getListaZgodEZwrotow' => '\\StructType\\GetListaZgodEZwrotow',
            'getListaZgodEZwrotowResponse' => '\\StructType\\GetListaZgodEZwrotowResponse',
            'oczekujeNaZgodeEZwrotType' => '\\StructType\\OczekujeNaZgodeEZwrotType',
            'setStatusZgodyNaEZwrot' => '\\StructType\\SetStatusZgodyNaEZwrot',
            'setStatusZgodyNaEZwrotResponse' => '\\StructType\\SetStatusZgodyNaEZwrotResponse',
            'statusZgodyEZwrotType' => '\\StructType\\StatusZgodyEZwrotType',
            'przesylkaEZwrotPocztexType' => '\\StructType\\PrzesylkaEZwrotPocztexType',
            'przesylkaEZwrotPaczkaType' => '\\StructType\\PrzesylkaEZwrotPaczkaType',
            'wyslijLinkaOStatusieEZwrotu' => '\\StructType\\WyslijLinkaOStatusieEZwrotu',
            'wyslijLinkaOStatusieEZwrotuResponse' => '\\StructType\\WyslijLinkaOStatusieEZwrotuResponse',
            'isObszarMiasto' => '\\StructType\\IsObszarMiasto',
            'isObszarMiastoResponse' => '\\StructType\\IsObszarMiastoResponse',
            'obszarAdresowyType' => '\\StructType\\ObszarAdresowyType',
            'obszarAdresowyResponseType' => '\\StructType\\ObszarAdresowyResponseType',
            'getPaczkaKorzysciInfo' => '\\StructType\\GetPaczkaKorzysciInfo',
            'infoPaczkaKorzysciType' => '\\StructType\\InfoPaczkaKorzysciType',
            'getPaczkaKorzysciInfoResponse' => '\\StructType\\GetPaczkaKorzysciInfoResponse',
            'reklamacjaInfoType' => '\\StructType\\ReklamacjaInfoType',
            'setJednostkaOrganizacyjna' => '\\StructType\\SetJednostkaOrganizacyjna',
            'setJednostkaOrganizacyjnaResponse' => '\\StructType\\SetJednostkaOrganizacyjnaResponse',
            'jednostkaOrganizacyjnaType' => '\\StructType\\JednostkaOrganizacyjnaType',
            'getJednostkaOrganizacyjna' => '\\StructType\\GetJednostkaOrganizacyjna',
            'getJednostkaOrganizacyjnaResponse' => '\\StructType\\GetJednostkaOrganizacyjnaResponse',
            'daneSentType' => '\\StructType\\DaneSentType',
            'awizacjaType' => '\\StructType\\AwizacjaType',
            'przesylkaNierejestrowanaKrajowaType' => '\\StructType\\PrzesylkaNierejestrowanaKrajowaType',
            'listWartosciowyKrajowyType' => '\\StructType\\ListWartosciowyKrajowyType',
            'relatedToAllegroType' => '\\StructType\\RelatedToAllegroType',
            'getPrintForParcel' => '\\StructType\\GetPrintForParcel',
            'getPrintForParcelResponse' => '\\StructType\\GetPrintForParcelResponse',
            'PrintType' => '\\StructType\\PrintType',
            'PrintResultType' => '\\StructType\\PrintResultType',
            'deklaracjaCelna2Type' => '\\StructType\\DeklaracjaCelna2Type',
            'DokumentyTowarzyszaceType' => '\\StructType\\DokumentyTowarzyszaceType',
            'SzczegolyZawartosciPrzesylkiZagranicznejType' => '\\StructType\\SzczegolyZawartosciPrzesylkiZagranicznejType',
            'potwierdzenieOdbioruBiznesowaType' => '\\StructType\\PotwierdzenieOdbioruBiznesowaType',
            'doreczenieBiznesowaType' => '\\StructType\\DoreczenieBiznesowaType',
            'zwrotDokumentowBiznesowaType' => '\\StructType\\ZwrotDokumentowBiznesowaType',
            'sposobDoreczeniaType' => '\\StructType\\SposobDoreczeniaType',
            'adresKorespondencyjny' => '\\StructType\\AdresKorespondencyjny',
            'eZwrotKartaType' => '\\StructType\\EZwrotKartaType',
            'createShopEZwroty' => '\\StructType\\CreateShopEZwroty',
            'createShopEZwrotyResponse' => '\\StructType\\CreateShopEZwrotyResponse',
            'deleteShopEZwroty' => '\\StructType\\DeleteShopEZwroty',
            'deleteShopEZwrotyResponse' => '\\StructType\\DeleteShopEZwrotyResponse',
            'getShopEZwrotyList' => '\\StructType\\GetShopEZwrotyList',
            'getShopEZwrotyListResponse' => '\\StructType\\GetShopEZwrotyListResponse',
            'shopEZwrotyInfoType' => '\\StructType\\ShopEZwrotyInfoType',
            'oplacaOdbiorcaType' => '\\StructType\\OplacaOdbiorcaType',
            'oplacaOdbiorcaKartaType' => '\\StructType\\OplacaOdbiorcaKartaType',
            'getLibrariesForLegalDeposits' => '\\StructType\\GetLibrariesForLegalDeposits',
            'getLibrariesForLegalDepositsResponse' => '\\StructType\\GetLibrariesForLegalDepositsResponse',
            'LibraryForLegalDepositType' => '\\StructType\\LibraryForLegalDepositType',
            'CustomsDeclarationType' => '\\StructType\\CustomsDeclarationType',
            'AccompanyingDocumentsType' => '\\StructType\\AccompanyingDocumentsType',
            'ShipmentContentsDetailsType' => '\\StructType\\ShipmentContentsDetailsType',
            'AddressType' => '\\StructType\\AddressType',
            'orderEasyReturnSolutionLabel' => '\\StructType\\OrderEasyReturnSolutionLabel',
            'orderEasyReturnSolutionLabelResponse' => '\\StructType\\OrderEasyReturnSolutionLabelResponse',
            'DeliveryMethodType' => '\\StructType\\DeliveryMethodType',
            'EmailDeliveryMethodType' => '\\StructType\\EmailDeliveryMethodType',
            'pocztex2021Type' => '\\StructType\\Pocztex2021Type',
            'subPocztex2021Type' => '\\StructType\\SubPocztex2021Type',
            'pocztex2021KurierType' => '\\StructType\\Pocztex2021KurierType',
            'pocztex2021NaDzisType' => '\\StructType\\Pocztex2021NaDzisType',
            'subPocztex2021KurierType' => '\\StructType\\SubPocztex2021KurierType',
            'subPocztex2021NaDzisType' => '\\StructType\\SubPocztex2021NaDzisType',
            'punktOdbioruType' => '\\StructType\\PunktOdbioruType',
            'potwierdzenieOdbioruPocztex2021Type' => '\\StructType\\PotwierdzenieOdbioruPocztex2021Type',
            'zawartoscPocztex2021Type' => '\\StructType\\ZawartoscPocztex2021Type',
            'potwierdzenieEDoreczeniaType' => '\\StructType\\PotwierdzenieEDoreczeniaType',
            'punktNadaniaType' => '\\StructType\\PunktNadaniaType',
            'przesylkaEZwrotPocztex2021Type' => '\\StructType\\PrzesylkaEZwrotPocztex2021Type',
        );
    }
}
