<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AccompanyingDocumentsType StructType
 * @subpackage Structs
 */
class AccompanyingDocumentsType extends AbstractStructBase
{
    /**
     * The type
     * @var string
     */
    public $type;
    /**
     * The number
     * @var string
     */
    public $number;
    /**
     * Constructor method for AccompanyingDocumentsType
     * @uses AccompanyingDocumentsType::setType()
     * @uses AccompanyingDocumentsType::setNumber()
     * @param string $type
     * @param string $number
     */
    public function __construct($type = null, $number = null)
    {
        $this
            ->setType($type)
            ->setNumber($number);
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @uses \EnumType\AccompanyingDocumentsEnum::valueIsValid()
     * @uses \EnumType\AccompanyingDocumentsEnum::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $type
     * @return \StructType\AccompanyingDocumentsType
     */
    public function setType($type = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\AccompanyingDocumentsEnum::valueIsValid($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\AccompanyingDocumentsEnum', is_array($type) ? implode(', ', $type) : var_export($type, true), implode(', ', \EnumType\AccompanyingDocumentsEnum::getValidValues())), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get number value
     * @return string|null
     */
    public function getNumber()
    {
        return $this->number;
    }
    /**
     * Set number value
     * @param string $number
     * @return \StructType\AccompanyingDocumentsType
     */
    public function setNumber($number = null)
    {
        // validation for constraint: string
        if (!is_null($number) && !is_string($number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($number, true), gettype($number)), __LINE__);
        }
        $this->number = $number;
        return $this;
    }
}
