<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getPlacowkiPocztoweResponse StructType
 * @subpackage Structs
 */
class GetPlacowkiPocztoweResponse extends AbstractStructBase
{
    /**
     * The placowka
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 1
     * @var \StructType\PlacowkaPocztowaType[]
     */
    public $placowka;
    /**
     * Constructor method for getPlacowkiPocztoweResponse
     * @uses GetPlacowkiPocztoweResponse::setPlacowka()
     * @param \StructType\PlacowkaPocztowaType[] $placowka
     */
    public function __construct(array $placowka = array())
    {
        $this
            ->setPlacowka($placowka);
    }
    /**
     * Get placowka value
     * @return \StructType\PlacowkaPocztowaType[]
     */
    public function getPlacowka()
    {
        return $this->placowka;
    }
    /**
     * This method is responsible for validating the values passed to the setPlacowka method
     * This method is willingly generated in order to preserve the one-line inline validation within the setPlacowka method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validatePlacowkaForArrayConstraintsFromSetPlacowka(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $getPlacowkiPocztoweResponsePlacowkaItem) {
            // validation for constraint: itemType
            if (!$getPlacowkiPocztoweResponsePlacowkaItem instanceof \StructType\PlacowkaPocztowaType) {
                $invalidValues[] = is_object($getPlacowkiPocztoweResponsePlacowkaItem) ? get_class($getPlacowkiPocztoweResponsePlacowkaItem) : sprintf('%s(%s)', gettype($getPlacowkiPocztoweResponsePlacowkaItem), var_export($getPlacowkiPocztoweResponsePlacowkaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The placowka property can only contain items of type \StructType\PlacowkaPocztowaType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set placowka value
     * @throws \InvalidArgumentException
     * @param \StructType\PlacowkaPocztowaType[] $placowka
     * @return \StructType\GetPlacowkiPocztoweResponse
     */
    public function setPlacowka(array $placowka = array())
    {
        // validation for constraint: array
        if ('' !== ($placowkaArrayErrorMessage = self::validatePlacowkaForArrayConstraintsFromSetPlacowka($placowka))) {
            throw new \InvalidArgumentException($placowkaArrayErrorMessage, __LINE__);
        }
        $this->placowka = $placowka;
        return $this;
    }
    /**
     * Add item to placowka value
     * @throws \InvalidArgumentException
     * @param \StructType\PlacowkaPocztowaType $item
     * @return \StructType\GetPlacowkiPocztoweResponse
     */
    public function addToPlacowka(\StructType\PlacowkaPocztowaType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\PlacowkaPocztowaType) {
            throw new \InvalidArgumentException(sprintf('The placowka property can only contain items of type \StructType\PlacowkaPocztowaType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->placowka[] = $item;
        return $this;
    }
}
