<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for pocztex2021KurierType StructType
 * @subpackage Structs
 */
class Pocztex2021KurierType extends Pocztex2021Type
{
    /**
     * The subPrzesylka
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\SubPocztex2021KurierType[]
     */
    public $subPrzesylka;
    /**
     * The punktOdbioru
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PunktOdbioruType
     */
    public $punktOdbioru;
    /**
     * The punktNadania
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PunktNadaniaType
     */
    public $punktNadania;
    /**
     * The kopertaPocztex
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $kopertaPocztex;
    /**
     * The godzinaDoreczenia
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $godzinaDoreczenia;
    /**
     * The doreczenieWeWskazanymDniu
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $doreczenieWeWskazanymDniu;
    /**
     * Constructor method for pocztex2021KurierType
     * @uses Pocztex2021KurierType::setSubPrzesylka()
     * @uses Pocztex2021KurierType::setPunktOdbioru()
     * @uses Pocztex2021KurierType::setPunktNadania()
     * @uses Pocztex2021KurierType::setKopertaPocztex()
     * @uses Pocztex2021KurierType::setGodzinaDoreczenia()
     * @uses Pocztex2021KurierType::setDoreczenieWeWskazanymDniu()
     * @param \StructType\SubPocztex2021KurierType[] $subPrzesylka
     * @param \StructType\PunktOdbioruType $punktOdbioru
     * @param \StructType\PunktNadaniaType $punktNadania
     * @param bool $kopertaPocztex
     * @param string $godzinaDoreczenia
     * @param string $doreczenieWeWskazanymDniu
     */
    public function __construct(array $subPrzesylka = array(), \StructType\PunktOdbioruType $punktOdbioru = null, \StructType\PunktNadaniaType $punktNadania = null, $kopertaPocztex = null, $godzinaDoreczenia = null, $doreczenieWeWskazanymDniu = null)
    {
        $this
            ->setSubPrzesylka($subPrzesylka)
            ->setPunktOdbioru($punktOdbioru)
            ->setPunktNadania($punktNadania)
            ->setKopertaPocztex($kopertaPocztex)
            ->setGodzinaDoreczenia($godzinaDoreczenia)
            ->setDoreczenieWeWskazanymDniu($doreczenieWeWskazanymDniu);
    }
    /**
     * Get subPrzesylka value
     * @return \StructType\SubPocztex2021KurierType[]|null
     */
    public function getSubPrzesylka()
    {
        return $this->subPrzesylka;
    }
    /**
     * This method is responsible for validating the values passed to the setSubPrzesylka method
     * This method is willingly generated in order to preserve the one-line inline validation within the setSubPrzesylka method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateSubPrzesylkaForArrayConstraintsFromSetSubPrzesylka(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $pocztex2021KurierTypeSubPrzesylkaItem) {
            // validation for constraint: itemType
            if (!$pocztex2021KurierTypeSubPrzesylkaItem instanceof \StructType\SubPocztex2021KurierType) {
                $invalidValues[] = is_object($pocztex2021KurierTypeSubPrzesylkaItem) ? get_class($pocztex2021KurierTypeSubPrzesylkaItem) : sprintf('%s(%s)', gettype($pocztex2021KurierTypeSubPrzesylkaItem), var_export($pocztex2021KurierTypeSubPrzesylkaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The subPrzesylka property can only contain items of type \StructType\SubPocztex2021KurierType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set subPrzesylka value
     * @throws \InvalidArgumentException
     * @param \StructType\SubPocztex2021KurierType[] $subPrzesylka
     * @return \StructType\Pocztex2021KurierType
     */
    public function setSubPrzesylka(array $subPrzesylka = array())
    {
        // validation for constraint: array
        if ('' !== ($subPrzesylkaArrayErrorMessage = self::validateSubPrzesylkaForArrayConstraintsFromSetSubPrzesylka($subPrzesylka))) {
            throw new \InvalidArgumentException($subPrzesylkaArrayErrorMessage, __LINE__);
        }
        $this->subPrzesylka = $subPrzesylka;
        return $this;
    }
    /**
     * Add item to subPrzesylka value
     * @throws \InvalidArgumentException
     * @param \StructType\SubPocztex2021KurierType $item
     * @return \StructType\Pocztex2021KurierType
     */
    public function addToSubPrzesylka(\StructType\SubPocztex2021KurierType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\SubPocztex2021KurierType) {
            throw new \InvalidArgumentException(sprintf('The subPrzesylka property can only contain items of type \StructType\SubPocztex2021KurierType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->subPrzesylka[] = $item;
        return $this;
    }
    /**
     * Get punktOdbioru value
     * @return \StructType\PunktOdbioruType|null
     */
    public function getPunktOdbioru()
    {
        return $this->punktOdbioru;
    }
    /**
     * Set punktOdbioru value
     * @param \StructType\PunktOdbioruType $punktOdbioru
     * @return \StructType\Pocztex2021KurierType
     */
    public function setPunktOdbioru(\StructType\PunktOdbioruType $punktOdbioru = null)
    {
        $this->punktOdbioru = $punktOdbioru;
        return $this;
    }
    /**
     * Get punktNadania value
     * @return \StructType\PunktNadaniaType|null
     */
    public function getPunktNadania()
    {
        return $this->punktNadania;
    }
    /**
     * Set punktNadania value
     * @param \StructType\PunktNadaniaType $punktNadania
     * @return \StructType\Pocztex2021KurierType
     */
    public function setPunktNadania(\StructType\PunktNadaniaType $punktNadania = null)
    {
        $this->punktNadania = $punktNadania;
        return $this;
    }
    /**
     * Get kopertaPocztex value
     * @return bool|null
     */
    public function getKopertaPocztex()
    {
        return $this->kopertaPocztex;
    }
    /**
     * Set kopertaPocztex value
     * @param bool $kopertaPocztex
     * @return \StructType\Pocztex2021KurierType
     */
    public function setKopertaPocztex($kopertaPocztex = null)
    {
        // validation for constraint: boolean
        if (!is_null($kopertaPocztex) && !is_bool($kopertaPocztex)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($kopertaPocztex, true), gettype($kopertaPocztex)), __LINE__);
        }
        $this->kopertaPocztex = $kopertaPocztex;
        return $this;
    }
    /**
     * Get godzinaDoreczenia value
     * @return string|null
     */
    public function getGodzinaDoreczenia()
    {
        return $this->godzinaDoreczenia;
    }
    /**
     * Set godzinaDoreczenia value
     * @uses \EnumType\GodzinaDoreczeniaPocztex2021Enum::valueIsValid()
     * @uses \EnumType\GodzinaDoreczeniaPocztex2021Enum::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $godzinaDoreczenia
     * @return \StructType\Pocztex2021KurierType
     */
    public function setGodzinaDoreczenia($godzinaDoreczenia = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\GodzinaDoreczeniaPocztex2021Enum::valueIsValid($godzinaDoreczenia)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\GodzinaDoreczeniaPocztex2021Enum', is_array($godzinaDoreczenia) ? implode(', ', $godzinaDoreczenia) : var_export($godzinaDoreczenia, true), implode(', ', \EnumType\GodzinaDoreczeniaPocztex2021Enum::getValidValues())), __LINE__);
        }
        $this->godzinaDoreczenia = $godzinaDoreczenia;
        return $this;
    }
    /**
     * Get doreczenieWeWskazanymDniu value
     * @return string|null
     */
    public function getDoreczenieWeWskazanymDniu()
    {
        return $this->doreczenieWeWskazanymDniu;
    }
    /**
     * Set doreczenieWeWskazanymDniu value
     * @param string $doreczenieWeWskazanymDniu
     * @return \StructType\Pocztex2021KurierType
     */
    public function setDoreczenieWeWskazanymDniu($doreczenieWeWskazanymDniu = null)
    {
        // validation for constraint: string
        if (!is_null($doreczenieWeWskazanymDniu) && !is_string($doreczenieWeWskazanymDniu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($doreczenieWeWskazanymDniu, true), gettype($doreczenieWeWskazanymDniu)), __LINE__);
        }
        $this->doreczenieWeWskazanymDniu = $doreczenieWeWskazanymDniu;
        return $this;
    }
}
