<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for pocztex2021NaDzisType StructType
 * @subpackage Structs
 */
class Pocztex2021NaDzisType extends Pocztex2021Type
{
    /**
     * The subPrzesylka
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\SubPocztex2021NaDzisType[]
     */
    public $subPrzesylka;
    /**
     * The odleglosc
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $odleglosc;
    /**
     * The obszar
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $obszar;
    /**
     * Constructor method for pocztex2021NaDzisType
     * @uses Pocztex2021NaDzisType::setSubPrzesylka()
     * @uses Pocztex2021NaDzisType::setOdleglosc()
     * @uses Pocztex2021NaDzisType::setObszar()
     * @param \StructType\SubPocztex2021NaDzisType[] $subPrzesylka
     * @param int $odleglosc
     * @param string $obszar
     */
    public function __construct(array $subPrzesylka = array(), $odleglosc = null, $obszar = null)
    {
        $this
            ->setSubPrzesylka($subPrzesylka)
            ->setOdleglosc($odleglosc)
            ->setObszar($obszar);
    }
    /**
     * Get subPrzesylka value
     * @return \StructType\SubPocztex2021NaDzisType[]|null
     */
    public function getSubPrzesylka()
    {
        return $this->subPrzesylka;
    }
    /**
     * This method is responsible for validating the values passed to the setSubPrzesylka method
     * This method is willingly generated in order to preserve the one-line inline validation within the setSubPrzesylka method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateSubPrzesylkaForArrayConstraintsFromSetSubPrzesylka(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $pocztex2021NaDzisTypeSubPrzesylkaItem) {
            // validation for constraint: itemType
            if (!$pocztex2021NaDzisTypeSubPrzesylkaItem instanceof \StructType\SubPocztex2021NaDzisType) {
                $invalidValues[] = is_object($pocztex2021NaDzisTypeSubPrzesylkaItem) ? get_class($pocztex2021NaDzisTypeSubPrzesylkaItem) : sprintf('%s(%s)', gettype($pocztex2021NaDzisTypeSubPrzesylkaItem), var_export($pocztex2021NaDzisTypeSubPrzesylkaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The subPrzesylka property can only contain items of type \StructType\SubPocztex2021NaDzisType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set subPrzesylka value
     * @throws \InvalidArgumentException
     * @param \StructType\SubPocztex2021NaDzisType[] $subPrzesylka
     * @return \StructType\Pocztex2021NaDzisType
     */
    public function setSubPrzesylka(array $subPrzesylka = array())
    {
        // validation for constraint: array
        if ('' !== ($subPrzesylkaArrayErrorMessage = self::validateSubPrzesylkaForArrayConstraintsFromSetSubPrzesylka($subPrzesylka))) {
            throw new \InvalidArgumentException($subPrzesylkaArrayErrorMessage, __LINE__);
        }
        $this->subPrzesylka = $subPrzesylka;
        return $this;
    }
    /**
     * Add item to subPrzesylka value
     * @throws \InvalidArgumentException
     * @param \StructType\SubPocztex2021NaDzisType $item
     * @return \StructType\Pocztex2021NaDzisType
     */
    public function addToSubPrzesylka(\StructType\SubPocztex2021NaDzisType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\SubPocztex2021NaDzisType) {
            throw new \InvalidArgumentException(sprintf('The subPrzesylka property can only contain items of type \StructType\SubPocztex2021NaDzisType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->subPrzesylka[] = $item;
        return $this;
    }
    /**
     * Get odleglosc value
     * @return int|null
     */
    public function getOdleglosc()
    {
        return $this->odleglosc;
    }
    /**
     * Set odleglosc value
     * @param int $odleglosc
     * @return \StructType\Pocztex2021NaDzisType
     */
    public function setOdleglosc($odleglosc = null)
    {
        // validation for constraint: int
        if (!is_null($odleglosc) && !(is_int($odleglosc) || ctype_digit($odleglosc))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($odleglosc, true), gettype($odleglosc)), __LINE__);
        }
        $this->odleglosc = $odleglosc;
        return $this;
    }
    /**
     * Get obszar value
     * @return string|null
     */
    public function getObszar()
    {
        return $this->obszar;
    }
    /**
     * Set obszar value
     * @uses \EnumType\ObszarType::valueIsValid()
     * @uses \EnumType\ObszarType::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $obszar
     * @return \StructType\Pocztex2021NaDzisType
     */
    public function setObszar($obszar = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\ObszarType::valueIsValid($obszar)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\ObszarType', is_array($obszar) ? implode(', ', $obszar) : var_export($obszar, true), implode(', ', \EnumType\ObszarType::getValidValues())), __LINE__);
        }
        $this->obszar = $obszar;
        return $this;
    }
}
