<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for potwierdzenieEDoreczeniaType StructType
 * @subpackage Structs
 */
class PotwierdzenieEDoreczeniaType extends AbstractStructBase
{
    /**
     * The sposob
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $sposob;
    /**
     * The kontakt
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minLength: 0
     * - minOccurs: 1
     * @var string
     */
    public $kontakt;
    /**
     * Constructor method for potwierdzenieEDoreczeniaType
     * @uses PotwierdzenieEDoreczeniaType::setSposob()
     * @uses PotwierdzenieEDoreczeniaType::setKontakt()
     * @param string $sposob
     * @param string $kontakt
     */
    public function __construct($sposob = null, $kontakt = null)
    {
        $this
            ->setSposob($sposob)
            ->setKontakt($kontakt);
    }
    /**
     * Get sposob value
     * @return string
     */
    public function getSposob()
    {
        return $this->sposob;
    }
    /**
     * Set sposob value
     * @uses \EnumType\ESposobPowiadomieniaType::valueIsValid()
     * @uses \EnumType\ESposobPowiadomieniaType::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $sposob
     * @return \StructType\PotwierdzenieEDoreczeniaType
     */
    public function setSposob($sposob = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\ESposobPowiadomieniaType::valueIsValid($sposob)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\ESposobPowiadomieniaType', is_array($sposob) ? implode(', ', $sposob) : var_export($sposob, true), implode(', ', \EnumType\ESposobPowiadomieniaType::getValidValues())), __LINE__);
        }
        $this->sposob = $sposob;
        return $this;
    }
    /**
     * Get kontakt value
     * @return string
     */
    public function getKontakt()
    {
        return $this->kontakt;
    }
    /**
     * Set kontakt value
     * @param string $kontakt
     * @return \StructType\PotwierdzenieEDoreczeniaType
     */
    public function setKontakt($kontakt = null)
    {
        // validation for constraint: string
        if (!is_null($kontakt) && !is_string($kontakt)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kontakt, true), gettype($kontakt)), __LINE__);
        }
        // validation for constraint: maxLength(50)
        if (!is_null($kontakt) && mb_strlen($kontakt) > 50) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 50', mb_strlen($kontakt)), __LINE__);
        }
        // validation for constraint: minLength
        if (!is_null($kontakt) && mb_strlen($kontakt) < 0) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be greater than or equal to 0', mb_strlen($kontakt)), __LINE__);
        }
        $this->kontakt = $kontakt;
        return $this;
    }
}
