<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for przesylkaEZwrotPocztex2021Type StructType
 * @subpackage Structs
 */
class PrzesylkaEZwrotPocztex2021Type extends PrzesylkaRejestrowanaType
{
    /**
     * The format
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $format;
    /**
     * The numerNadaniaZwrot
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 20
     * - minLength: 10
     * @var string
     */
    public $numerNadaniaZwrot;
    /**
     * The idSklepEZwrot
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $idSklepEZwrot;
    /**
     * Constructor method for przesylkaEZwrotPocztex2021Type
     * @uses PrzesylkaEZwrotPocztex2021Type::setFormat()
     * @uses PrzesylkaEZwrotPocztex2021Type::setNumerNadaniaZwrot()
     * @uses PrzesylkaEZwrotPocztex2021Type::setIdSklepEZwrot()
     * @param string $format
     * @param string $numerNadaniaZwrot
     * @param int $idSklepEZwrot
     */
    public function __construct($format = null, $numerNadaniaZwrot = null, $idSklepEZwrot = null)
    {
        $this
            ->setFormat($format)
            ->setNumerNadaniaZwrot($numerNadaniaZwrot)
            ->setIdSklepEZwrot($idSklepEZwrot);
    }
    /**
     * Get format value
     * @return string
     */
    public function getFormat()
    {
        return $this->format;
    }
    /**
     * Set format value
     * @uses \EnumType\FormatPocztex2021Type::valueIsValid()
     * @uses \EnumType\FormatPocztex2021Type::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $format
     * @return \StructType\PrzesylkaEZwrotPocztex2021Type
     */
    public function setFormat($format = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\FormatPocztex2021Type::valueIsValid($format)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\FormatPocztex2021Type', is_array($format) ? implode(', ', $format) : var_export($format, true), implode(', ', \EnumType\FormatPocztex2021Type::getValidValues())), __LINE__);
        }
        $this->format = $format;
        return $this;
    }
    /**
     * Get numerNadaniaZwrot value
     * @return string|null
     */
    public function getNumerNadaniaZwrot()
    {
        return $this->numerNadaniaZwrot;
    }
    /**
     * Set numerNadaniaZwrot value
     * @param string $numerNadaniaZwrot
     * @return \StructType\PrzesylkaEZwrotPocztex2021Type
     */
    public function setNumerNadaniaZwrot($numerNadaniaZwrot = null)
    {
        // validation for constraint: string
        if (!is_null($numerNadaniaZwrot) && !is_string($numerNadaniaZwrot)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numerNadaniaZwrot, true), gettype($numerNadaniaZwrot)), __LINE__);
        }
        // validation for constraint: maxLength(20)
        if (!is_null($numerNadaniaZwrot) && mb_strlen($numerNadaniaZwrot) > 20) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 20', mb_strlen($numerNadaniaZwrot)), __LINE__);
        }
        // validation for constraint: minLength(10)
        if (!is_null($numerNadaniaZwrot) && mb_strlen($numerNadaniaZwrot) < 10) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be greater than or equal to 10', mb_strlen($numerNadaniaZwrot)), __LINE__);
        }
        $this->numerNadaniaZwrot = $numerNadaniaZwrot;
        return $this;
    }
    /**
     * Get idSklepEZwrot value
     * @return int|null
     */
    public function getIdSklepEZwrot()
    {
        return $this->idSklepEZwrot;
    }
    /**
     * Set idSklepEZwrot value
     * @param int $idSklepEZwrot
     * @return \StructType\PrzesylkaEZwrotPocztex2021Type
     */
    public function setIdSklepEZwrot($idSklepEZwrot = null)
    {
        // validation for constraint: int
        if (!is_null($idSklepEZwrot) && !(is_int($idSklepEZwrot) || ctype_digit($idSklepEZwrot))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idSklepEZwrot, true), gettype($idSklepEZwrot)), __LINE__);
        }
        $this->idSklepEZwrot = $idSklepEZwrot;
        return $this;
    }
}
